body {
}

.toasts-top-right.fixed {
    min-width: 300px;
}

#gridContainer {
    max-height: 700px !important;
    margin: 0px !important
}

.dx-datagrid dx-gridbase-container dx-datagrid-borders {
    padding: 20px !important
}

.btn-primary, div.dx-button-default[role="button"], .dx-overlay-content .dx-button:first-child[aria-label='Save'], .dx-overlay-content .dx-button:first-child[aria-label='Yes'] {
    color: #fff !important;
    background-color: #007bff !important;
    border-color: #007bff !important;
    box-shadow: none !important;
}

    .btn-primary:hover, div.dx-button-default[role="button"]:hover, .dx-overlay-content .dx-button:first-child[aria-label='Save']:hover, .dx-overlay-content .dx-button:first-child[aria-label='Yes']:hover {
        background-color: #0056b3 !important;
        border-color: #0056b3 !important;
        text-decoration: none !important;
    }

.btn-primary, div.dx-button-default[role="button"], div.dx-datagrid-form-buttons-container div[aria-label="Save"] .dx-button-content {
    color: #fff !important;
    background-color: #007bff !important;
    border-color: #007bff !important;
    box-shadow: none !important;
    border-radius: 4px;
    border-width: 1px;
    border-style: solid;
}

    .btn-primary, div.dx-button-default[role="button"], div.dx-datagrid-form-buttons-container div[aria-label="Save"] .dx-button-content:hover {
        background-color: #0056b3 !important;
        border-color: #0056b3 !important;
        text-decoration: none !important;
    }

.dx-icon-edit {
    color: #4c4cff !important;
}

.dx-icon-trash {
    color: #f76060 !important;
}

.dx-icon-edit-button-addrow {
    color: green !important;
}

.more-info-link {
    margin-top: 1.2rem !important;
}

.card-title {
    display: unset !important;
}

.card-primary:not(.card-outline) > .card-header {
    background-color: #0e1d31 !important;
}

.left-align-button {
    float: left !important;
    text-align: left !important;
    display: inline-flex !important;
    justify-content: flex-start !important;
    margin-top: 20px !important;
}

.right-align-button {
    float: right !important;
    text-align: right !important;
    display: inline-flex !important;
    justify-content: flex-end !important;
    margin-top: 20px !important;
}

body:not(.layout-fixed) .main-sidebar {
    height: inherit !important;
    min-height: 100% !important;
    position: fixed !important;
    top: 0 !important;
}

.disabled {
    pointer-events: none !important;
    opacity: 0.5 !important;
}

.select2-container--default .select2-selection--single .select2-selection__clear {
    cursor: pointer;
    float: right;
    font-weight: bold;
    height: 26px;
    padding-right: 0px;
    position: absolute;
    right: 20px;
    top: 1px;
}

.select2-container--default .select2-selection--single {
    background-color: #f1f1f1 !important;
    border: none !important;
    border-radius: 0;
    height: 48px !important;
    border: 0;
    line-height: 40px !important;
    -webkit-appearance: none !important;
}

.select2-selection__arrow {
    background: url(../images/down_select.svg) no-repeat right center;
    width: 20px !important;
    height: 20px !important;
    display: inline-block;
    background-size: 26px;
    position: absolute;
    top: 12px !important;
    right: 10px !important;
}

    .select2-selection__arrow b {
        display: none;
    }

.select2-selection__clear span {
    color: rgba(0, 0, 0, 0.5);
}

.grid-title {
    display: block !important;
    white-space: pre;
    font-size: 28px;
    font-family: "Segoe UI Light", "Helvetica Neue Light", "Segoe UI", "Helvetica Neue", "Trebuchet MS", Verdana, sans-serif;
    font-weight: 200;
    fill: rgb(51, 51, 51);
    cursor: default;
}

.grid-subtitle {
    display: block !important;
    white-space: pre;
    font-size: 16px;
    font-family: "Segoe UI Light", "Helvetica Neue Light", "Segoe UI", "Helvetica Neue", "Trebuchet MS", Verdana, sans-serif;
    font-weight: 200 !important;
    fill: rgb(51, 51, 51);
    cursor: default;
}

.text-truncate {
    display: inline-block;
    max-width: 15ch; /* 15 characters */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.logo-bg-dark {
    background-color: #0e1d31 !important;
}

[class*=sidebar-dark-] {
    background-color: #0e1d31 !important;
}

.navbar-axiom {
    background-color: #0e1d31 !important;
    min-height: 83px;
}

    .navbar-axiom .navbar-nav .nav-link {
        color: #ffffff !important;
    }

.main-header {
    position: sticky;
    top: 0;
}

    .main-header .navbar-nav .nav-item {
        padding-right: 10px;
    }

.btn-red {
    transition: 0.5s;
}

    .btn-red:hover {
        transition: 0.5s;
        background-color: rgb(233, 95, 97);
        border: 1px solid rgb(233, 95, 97);
    }

.btn-red-submit {
    background-color: rgb(233, 95, 97);
    border: rgb(233, 95, 97);
    color: white;
    transition: 0.5s;
}

    .btn-red-submit:hover {
        background-color: rgb(233, 95, 97);
        border: rgb(233, 95, 97);
        color: white;
        transition: 0.5s;
    }

.btn-history, .btn-history:hover {
    color: #fff;
    background-color: #e95f61;
    border-color: #e95f61;
}

.sidebar-logo {
    height: 54px;
    width: auto;
    margin: 10px 0;
}

.axiom-tblGrid-scrollup .dx-scrollbar-horizontal.dx-scrollbar-hoverable {
    position: absolute !important;
    top: -2px !important;
}

.axiom-tblGrid-scrollup .dx-scrollable-content {
    padding: 0 !important;
}
